[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: sid: libc6-2.2.5-4 kills vmware workstation 3.0



** On Mar 26, Russell Coker scribbled:
[snip]
> > > working with some of the 2.4.x kernels and they certainly rely on too
> > > many things being in a certain place.
> >
> > Check the permissions on vmware.
> >
> > -r-sr-xr-x    1 root     staff     2110200 Nov 23 09:58
> > /usr/local/bin/vmware
> >
> > Try to use LD_LIBRARY_PATH on /bin/su.  You'll notice there's a
> > coincidence. :)
> 
> So if you login as root and change the permissions on the file to 755 and run 
> it as root the LD_LIBRARY_PATH and LD_PRELOAD should work.
Heh, I never noticed vmware is suid root :) - guess I don't run it too
often, heh :)))

marek

-- 
Visit: http://caudium.net - the Caudium WebServer

/* A completely unrelated fortune */
 Cops never say good-bye. They're always hoping to see you again in the
 line-up.   -- Raymond Chandler 
 
 
 
 

Attachment: pgpmL0mAvbbrR.pgp
Description: PGP signature


Reply to: